<?php
/*------------------------------------------------------+
| PHP-Fusion Content Management System                  |
| Copyright (C) 2002 - 2011 Nick Jones                  |
| http://www.php-fusion.co.uk/                          |
+-------------------------------------------------------+
| This program is released as free software under the   |
| Affero GPL license. You can redistribute it and/or    |
| addonify it under the terms of this license which you |
| can read by viewing the included agpl.txt or online   |
| at http://www.gnu.org/licenses/agpl.html.             |
| Removal of this copyright header is strictly          |
| prohibited without written permission from the        |
| original author(s).                                   |
+------------------------------------------------------*/
/*------------------------------------------------------+
|         joga theme for PHP-Fusion v7                  |
|        based on Bifrost by Johan Wilson               |
+-------------------------------------------------------+
| Filename: theme.php                                   |
| joga conversion by: Vlad Fagarasanu (Faga)            |
| Homepage: http://osthemes.org                         |
+------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

require_once INCLUDES."theme_functions_include.php";

define("THEME_BULLET2", "");
define("THEME_BULLET", "");
set_image("up",  THEME."images/up.png");
set_image("down",  THEME."images/down.png");
set_image("left", THEME."images/left.png");
set_image("right",  THEME."images/right.png");
set_image("folder",  THEME."forum/folder.png");
set_image("foldernew",  THEME."forum/foldernew.png");
set_image("folderlock",  THEME."forum/folderlock.png");
set_image("stickythread",  THEME."forum/stickythread.png");
set_image("pollbar", THEME."images/poll-bar.gif");

function render_page($license=false) {

global $settings, $main_style, $locale, $search, $aidlink, $userdata;


	//Header
	echo "<table class='header' cellpadding='0' cellspacing='0' align='center' width='1000'>\n<tr>\n";
	echo "<td class='nav' colspan='5' >".showsublinks(" ".THEME_BULLET2." ", "")."</td>\n</tr>\n<tr>\n";
	echo "<td colspan='5'><div class='banner' id='header-banner' >".showbanners()."</div></td>\n";
	echo "</tr>\n<tr>\n<td class='sub-header-text-top'>Date:</td>\n";
	echo "<td class='sub-header-text-top-spacer'></td>\n";
	echo "<td class='sub-header-text-top'>\n";
	if(iMEMBER){
	echo "Logged in as <a href='".BASEDIR."profile.php?lookup=".$userdata['user_id']."'>".($userdata['user_name'])."</a>\n";
	}else{
	echo "Login";}
	echo "</td>\n<td class='sub-header-text-top-spacer'></td>\n";
	echo "<td class='sub-header-text-top'>Search:</td>\n</tr>\n<tr>\n";
	echo "<td class='sub-header-date'>".showsubdate()."</td>\n";
	echo "<td class='sub-header-text-top-spacer'></td>\n";
	if(iMEMBER){
	$msg_count = dbcount("(message_id)", DB_MESSAGES, "message_to='".$userdata['user_id']."' AND message_read='0' AND message_folder='0'"); 
	echo "<td>\n<div id='login-links'>\n";
	echo "<a href='".BASEDIR."edit_profile.php'>".$locale['global_120']."</a> - 
	<a href='".BASEDIR."members.php'>".$locale['global_122']."</a> - 
	<a href='".BASEDIR."messages.php' class='side'>".$locale['global_121']."</a> (".$msg_count." new)<br />
	".(iADMIN ? "<a href='".ADMIN."index.php".$aidlink."' >".$locale['global_123']."</a> - " : "")."
	<a href='".BASEDIR."setuser.php?logout=yes'>".$locale['global_124']."</a>\n</div>\n</td>\n";
	}else{
	echo "<td>\n<div id='login'>\n";
	echo "<a href='".BASEDIR."login.php'>".$locale['global_104']."</a>
	".($settings['enable_registration'] ? "<a href='".BASEDIR."register.php'>".$locale['global_107']."</a>\n" : "");
	echo "<a href='".BASEDIR."lostpassword.php'>Request a new password here</a>\n";	
	echo "</div>\n</td>\n";}
	echo "<td class='sub-header-text-top-spacer'></td>\n";
	echo "<td class='search'>\n";
	echo "<form action='/search.php' method='get' id='search'>\n";
    echo "<input  type='text' name='stext' id='s'/>\n";
	echo "<input  type='submit'  value='Search' id='searchsubmit'/>\n";
	echo "</form>\n</td>\n</tr>\n</table>\n";
	
	//Content
	echo "<div align='center' class='content-body'>\n";
	echo "<table align='center' cellpadding='0' cellspacing='0'  class='$main_style' width='1000'>\n<tr>\n";
	if (LEFT) { echo "<td class='side-border-left' valign='top'>".LEFT."</td>\n"; }
	echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>\n";
	if (RIGHT) { echo "<td class='side-border-right' valign='top'>".RIGHT."</td>\n"; }
	echo "</tr>\n</table>\n</div>\n";

	//Footer
	echo "<div class='full-footer'>\n";
	echo "<table class='footer' align='center' cellpadding='0' cellspacing='0' width='1000'>\n<tr>\n";
    echo "<td align='left'>".showcopyright()."</td>\n";
	echo "<td align='right'>".stripslashes($settings['footer']);
	if (!$license)
	echo "</td>\n</tr>\n<tr>\n";
    echo "<td align='left'>".showcounter()."</td>\n";
    echo "<td align='right'>".sprintf($locale['global_172'], substr((get_microtime() - START_TIME),0,4))."</td>\n";
  	echo "</tr>\n</table>\n</div>\n";
}

//News
function render_news($subject, $news, $info) {
	echo "<div class='news-body-top'>".$subject."</div>\n";
    echo "<div class='news-body middle-border' >".$news."</div>\n";
    echo "<div align='center' class='news-footer middle-border'>\n";
	echo newsposter($info," &middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id']);
	echo "</div>\n";
}

//Article
function render_article($subject, $article, $info) {
	echo "<div class='body-top-mid'>".$subject."</div>\n";
    echo "<div class='main-body middle-border'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</div>\n";
    echo "<div align='center' class='news-footer middle-border'>\n";
	echo articleposter($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);
	echo "</div>\n";
}

//Opentable
function opentable($title) {
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='body-top-mid'>".$title."</td>\n</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n<tr>\n";
    echo "<td class='main-body'>\n";
}
function closetable() {
	echo "</td>\n</tr>\n</table>\n";
}

//Openside
function openside($title, $collapse = false, $state = "on") {
	global $panel_collapse; $panel_collapse = $collapse;
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='scapmain-left'></td>\n";
	echo "<td class='scapmain' >$title</td>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
	echo "<td class='scapmain-collapse'>".panelbutton($state, $boxname)."</td>\n";}
	echo "<td class='scapmain-right'></td>\n</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n<tr>\n";
	echo "<td class='side-body'>\n";	
	if ($collapse == true) { echo panelstate($state, $boxname); }
}
function closeside() {
	global $panel_collapse;
	if ($panel_collapse == true) { echo "</div>\n"; }	
	echo "</td>\n</tr>\n</table>\n";
}
?>